Module modMain
    'Name der Logdatei. Zwischen Name und Endung kommt noch das Datum
    Friend Const LogdateiName As String = "BurnLog"
    Friend Const LogEndung As String = "txt"

    'Name der Datei, in der die Settings gespeichert sind/werden sollen
    Friend Const SettingsDatei As String = "Settings.xml"

    'Die Settings...
    Friend Settings As clsSettings

    'Hauptform
    Dim frmMain As frmMain

    'Giobt den Anwendungspfad mit "\" am Ende an
    Friend Function Anwendungspfad() As String
        'In Stammlaufwerk wird bei StartupPath z.B. "C:\" zurckgegeben
        'Sonst z.B. "C:\Programme" (ohne "\"). Dieser wird hier noch drangehngt
        Dim tmpPfad As String = Application.StartupPath
        If tmpPfad.Substring(tmpPfad.Length - 1, 1) <> "\" Then tmpPfad &= "\"
        Return tmpPfad
    End Function

    'Hier wird das Programm gestartet. Die Erstellung der Hauptform bringt das Anzeigen des Notify-Icons mit sich
    Sub Main()
        frmMain = New frmMain
        Application.Run() 'verhindern, dass das Programm sofort wieder ausgeht. Beim Beenden der Anwendung muss application.exit aufgerufen werden
    End Sub

End Module
